# LED-Ring Clock



### Prerequisites:


### Used version:



## How to install



## Hardware Installation


The following pins are used to control LED-ring
 - GPIO 0 (pin 1) for **LED Ring IN**
 - GND    (pin 38) for **LED Ring GND**
 - VBUS   (pin 40) for **LED Ring VCC**

The following pins are used to control piezo buzzer
 - GPIO 17 (pin 22) for **Piezo Buzzer**
 - GND     (pin 23) for **Piezo Buzzer GND**


The following pins are used to connect with DIP switches
 - GPIO 18 (pin 24) for **DIP Switch 1**
 - GPIO 19 (pin 25) for **DIP Switch 2**
 - GPIO 20 (pin 26) for **DIP Switch 3**
 - GPIO 21 (pin 27) for **DIP Switch 4**
 - GND     (pin 28) for **DIP Switch GND**


The following pins are used to connect with buttons
 - GPIO 2 (pin 4) for **Button black**
 - GND    (pin 3) for **Button black GND**
 - GPIO 14 (pin 19) for **Button grey**
 - GND     (pin 18) for **Button grey GND**


## Pico GPIO Pin Layout and Usage

![Pico Pinout](https://www.raspberrypi.com/documentation/microcontrollers/images/pico-pinout.svg)

Source: https://www.raspberrypi.com/documentation/microcontrollers/images/pico-pinout.svg


| Usage                | GPIO    | Pin | Pin | GPIO    | Usage                |
|:---------------------|:--------|:---:|:---:|:--------|:---------------------|
| **LED Ring IN**      | GPIO 0  |  1  | 40  | VBUS    | **LED Ring VCC**     |
|                      | GPIO 1  |  2  | 39  | VSYS    |                      |
| **Button black GND** | GND     |  3  | 38  | GND     | **LED Ring GND**     |
| **Button black**     | GPIO 2  |  4  | 37  | 3V3_EN  |                      |
|                      | GPIO 3  |  5  | 36  | 3V3(OUT)|                      |
|                      | GPIO 4  |  6  | 35  | ADC_VREF|                      |
|                      | GPIO 5  |  7  | 34  | GPIO 28 |                      |
|                      | GND     |  8  | 33  | GND     |                      |
|                      | GPIO 6  |  9  | 32  | GPIO 27 |                      |
|                      | GPIO 7  | 10  | 31  | GPIO 26 |                      |
|                      | GPIO 8  | 11  | 30  | RUN     |                      |
|                      | GPIO 9  | 12  | 29  | GPIO 22 |                      |
|                      | GND     | 13  | 28  | GND     | **DIP Switch GND**   |
|                      | GPIO 10 | 14  | 27  | GPIO 21 | **DIP Switch 4**     |
|                      | GPIO 11 | 15  | 26  | GPIO 20 | **DIP Switch 3**     |
|                      | GPIO 12 | 16  | 25  | GPIO 19 | **DIP Switch 2**     |
|                      | GPIO 13 | 17  | 24  | GPIO 18 | **DIP Switch 1**     |
| **Button grey GND**  | GND     | 18  | 23  | GND     | **Piezo Buzzer GND** |
| **Button grey**      | GPIO 14 | 19  | 22  | GPIO 17 | **Piezo Buzzer**     |
|                      | GPIO 15 | 20  | 21  | GPIO 16 |                      |


