# Bibliotheken laden


try:
    from machine import ADC
except:
    class ADC:
        def __init__(self, pin):
            return
        def read_u16(self):
            return 65536 / 2



class Potentiometer():

    def __init__(self, pin):
        self.adc = ADC(pin)
        # This configures pin GP26_ADC0 as the first channel, ADC0, on the analogue-to-digital converter.

        return
        
        
    
    def read(self):
    
        value = self.adc.read_u16()
        return (float(value) / 65536)




if __name__ == "__main__":

    from time import sleep_ms

    potentiometer = Potentiometer(28)
    
    # To read from the pin, set up a loop:
    while True:
        print(potentiometer.read())
        sleep_ms(200)

