
import time



try:
    import network
    import rp2



    class PicoWlan():

        def __init__(self, ssid, password, country):
        
            self.ssid = ssid
            self.password = password
            self.country = country
            
            return



        def run(self):
        
            rp2.country(self.country)
        
            wlan = network.WLAN(network.STA_IF)
            wlan.active(True)
            wlan.connect(self.ssid, self.password)

            max_wait = 20
            while max_wait > 0:
                if wlan.status() < 0 or wlan.status() >= 3:
                    break
                max_wait -= 1
                print('waiting for connection...')
                time.sleep(1)

            if wlan.status() != 3:
                raise RuntimeError('network connection failed')
            else:
                print('connected')
                status = wlan.ifconfig()
                print( 'ip = ' + status[0] )
except:
    class PicoWlan():

        def __init__(self, ssid, password, country):
        
            self.ssid = ssid
            self.password = password
            self.country = country
            
            return



        def run(self):
            time.sleep(1)
            return
           
    
    
    
    
