import requests




class TimeApiIo():

    def __init__(self):

        self.url = "http://timeapi.io/"
        return
       
        


    def setTimeZone(self, timeZone):
    
        self.timeZone = timeZone
        return
    
    


    def getCurrentTime(self):
    
        try:
            requestUrl = self.url + "api/Time/current/zone?timeZone=" + self.timeZone
            response = requests.get(requestUrl, timeout=3)
            data = response.json()
        except:
            return None
        
        return data






if __name__ == "__main__":

#    # WLAN-Konfiguration
#    import secrets
#    import PicoWlan from PicoWlan
#    wlan = PicoWlan(secrets.WIFI_SSID, secrets.WIFI_SSID, secrets.WIFI_COUNTRY)
#    wlan.run()


    timeApiIo = TimeApiIo()

    timeApiIo.setTimeZone("Europe/Berlin")
    data = timeApiIo.getCurrentTime()

    # Aktuelle Zeit ausgeben
    print(data)

    



