import sys
sys.path.append("./lib")




from Potentiometer import Potentiometer

ADC2_PIN = 28
potentiometer = Potentiometer(ADC2_PIN)
    



from DipSwitch import DipSwitch

DIP_PINS = [ 19, 20, 21, 22 ]
dipSwitch = DipSwitch(DIP_PINS, DipSwitch.LOW)

    


from Buzzer import Buzzer

BUZZER_PIN = 16
buzzer = Buzzer(BUZZER_PIN)
 



from Button import Button

LEFTBUTTON_PIN   = 0
RIGHTBUTTON_PIN  = 15
leftButton   = Button(LEFTBUTTON_PIN, Button.LOW, bounceTimeMs=10)
rightButton  = Button(RIGHTBUTTON_PIN, Button.LOW, bounceTimeMs=10)


from LedRing import LedRing

LEDRING_PIN       = 2
LEDRING_NUM_LEDS  = 24
LEDRING_IX_OFFSET = 0
ledRing = LedRing(LEDRING_PIN, LEDRING_NUM_LEDS, LEDRING_IX_OFFSET)
